package com.muyu.marketing.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;


/**
 * 商品拼团规格信息表
 *
 * @author AmAg
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "activity_team_product_sku_info",autoResultMap = true)
public class ActivityTeamProductSkuInfo extends BaseEntity {
  /**
   * 主键
   */
  @TableId(value = "id",type = IdType.AUTO)
  private Long id;
  /**
   * 活动ID
   */
  private Long teamId;
  /**
   * 商品ID
   */
  private String productId;
  /**
   * 商品SKU
   */
  private String productSku;
  /**
   * 拼团库存
   */
  private String teamStock;
  /**
   * 拼团价格
   */
  private String teamPrice;
}
