package com.muyu.marketing.domain;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.NonNull;
import org.apache.xmlbeans.impl.soap.Text;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * 营销拼团活动实体类
 *
 * @author AmAg
 * @create: 2024-11-22 20:37
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MarketingGroupInfo extends BaseEntity {
    /**
     * 主键
     */
    @NotNull(message = "商品id不能为空")
    private Long id;
    /**
     * 商品名称
     */
    @NotNull(message = "商品名称不能为空")
    private String name;
    /**
     * 商品活动图
     */
    @NotNull(message = "一个有效的图片")
    private String productImage;
    /**
     * 活动简介
     */
    @NotNull(message = "商品简介不能为空")
    @Size(min = 5,max = 500,message = "商品简介内容必须在5-500字符之间")
    private Text introduction;
    /**
     * 单位
     */
    @NotNull(message = "商品单位不能为空")
    private String unit;
    /**
     * 轮播图
     */
    private List<String> productImages;
    /**
     * 活动时间
     */
    @NotNull(message = "活动时间不能为空")
    private Date endTime;
    /**
     *  策略类型
     */
    @NotNull(message = "策略类型不能为空不能为空")
    private String strategyType;
    /**
     *  策略ID
     */
    @NotNull(message = "策略Id不能为空")
    private Long strategyId;
    /**
     * 商品Sku信息
     */
    private List<ActivityTeamProductSkuInfo> productSkuInfo;
    /**
     *  排序字段
     */
    private String sortOrder;
}
