package com.muyu.marketing.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;


/**
 * 拼团免单策略
 *
 * @author AmAg
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "team_strategy_exemption",autoResultMap = true)
public class TeamStrategyExemption extends BaseEntity {
  /**
   * 主键
   */
  @TableId(value = "id",type = IdType.AUTO)
  private Long id;
  /**
   * 持续时间
   */
  private Long duration;
  /**
   * 免单人数
   */
  private Long exemptionNumber;
  /**
   * 最大购买量
   */
  private Long maxBuy;
  /**
   * 单次购买量
   */
  private Long oneBuy;
  /**
   * 虚拟人数
   */
  private Long virtualNumber;
  /**
   * 面单类型
   */
  private String type;
  /**
   * 返款阶梯
   */
  private String ruleInfo;
  /**
   * 策略状态
   */
  private String status;
}
