package com.muyu.marketing.domain.model;

import com.muyu.common.core.web.QueryModel;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 团购活动列表查询结果模型
 *
 * @author: AmAg
 * @create: 2024-11-21 16:38
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamInfoListModel  {
    /**
     * 拼团活动ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 拼团商品图片
     */
    private String productImage;
    /**
     * 商品价格
     */
    private Double productPrice;
    /**
     * 拼团价格
     */
    private Double teamPrice;
    /**
     * 拼团人数
     */
    private Long attendNumber;
    /**
     * 开团人数
     */
    private Long openTeamNumber;
    /**
     * 参团人数
     */
    private Long addTeamNumber;
    /**
     * 商品库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 团购结束时间
     */
    private Date endTime;
    /**
     * 活动状态
     */
    private String status;
}
