package com.muyu.marketing.domain.req;

import com.muyu.common.core.web.page.PageDomain;
import com.muyu.marketing.domain.model.ActivityTeamInfoListQueryModel;
import lombok.*;
import lombok.experimental.SuperBuilder;


/**
 * 拼团团购对象 team_info 列表
 *
 * @author AmAg
 * @create: 2024-11-22 11:34
 **/

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class TeamInfoListReq extends PageDomain {

    /**
     * 搜索关键字
     *
     */
    private String keyWord;
    /**
     * 活动状态
     */
    private String status;

    /**
     * 通过当前对象构建业务查询模型
     * @return 业务查询模型
     */
    public ActivityTeamInfoListQueryModel buildQueryModel() {

        return ActivityTeamInfoListQueryModel.builder()
                .keyWord(this.keyWord)
                .status(this.status)
                .build()
                .domainBuild(this);
    }


}
