package com.muyu.marketing.team.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.req.TeamInfoListReq;
import com.muyu.marketing.domain.req.TeamInfoSaveReq;
import com.muyu.marketing.domain.resp.TeamInfoResp;
import com.muyu.marketing.team.service.ActivityTeamInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 营销团购活动控制层
 *
 * @author AmAg
 * @create: 2024-11-21 17:00
 **/

@RestController
@RequestMapping("team")
public class ActivityTeamController {

    @Autowired
    private ActivityTeamInfoService activityTeamInfoService;

    @PostMapping("/list")
    public Result<TableDataInfo<TeamInfoResp>> list(@RequestBody TeamInfoListReq teamInfoListReq) {
        activityTeamInfoService.query(teamInfoListReq.buildQueryModel());
        return Result.success();
    }

//    @PostMapping("add")
//    public Result<String> add(@RequestBody TeamInfoSaveReq teamInfoSaveReq){
//        activityTeamInfoService.add(teamInfoSaveReq.buildAddModel());
//        return Result.success();
//    }

}
