package com.muyu.marketing.team.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.enums.market.team.TeamOpenTypeEnum;
import com.muyu.marketing.domain.ActivityTeamOpenInfo;
import org.springframework.web.bind.annotation.RequestParam;

public interface ActivityTeamOpenInfoService extends IService<ActivityTeamOpenInfo> {


    /**
     * 通过活动Id和开团类型查询开团人数数量
     * @param teamId 活动ID
     * @param teamOpenType 开团类型
     * @return 开团数量
     */
    public Long getTeamOpenNumberByTeamIdAndType(@RequestParam Long teamId, TeamOpenTypeEnum teamOpenType);

    /**
     * 根据活动Id获取开团数量
     * @param teamId 团购活动ID
     * @return 开团数量
     */
    public default Long getTeamOpenNumberByTeamId(Long teamId){
        return this.getTeamOpenNumberByTeamIdAndType(teamId,TeamOpenTypeEnum.OPEN_TEAM);
    }

    /**
     * 根据活动Id获取参团数量
     * @param teamId 团购活动ID
     * @return 参团数量
     */
    public default Long getTeamInNumberByTeamId(Long teamId){
        return this.getTeamOpenNumberByTeamIdAndType(teamId,TeamOpenTypeEnum.IN_TEAM);
    }
}
