package com.muyu.marketing.team.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.model.ActivityTeamInfoListModel;
import com.muyu.marketing.domain.model.ActivityTeamInfoListQueryModel;
import com.muyu.marketing.team.mapper.ActivityTeamInfoMapper;
import com.muyu.marketing.team.service.ActivityTeamInfoService;
import com.muyu.marketing.team.service.ActivityTeamOpenInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Service
public class ActivityTeamInfoServiceImpl extends ServiceImpl<ActivityTeamInfoMapper, ActivityTeamInfo>
        implements ActivityTeamInfoService {

    @Autowired
    private ActivityTeamOpenInfoService activityTeamOpenInfoService;



    @Override
    public TableDataInfo<ActivityTeamInfoListModel> query(ActivityTeamInfoListQueryModel activityTeamInfoListQueryModel) {

        LambdaQueryWrapper<ActivityTeamInfo> queryWrapper = new LambdaQueryWrapper<>();

        queryWrapper.like(StringUtils.isNotEmpty(activityTeamInfoListQueryModel.getKeyWord()),ActivityTeamInfo::getName,activityTeamInfoListQueryModel.getKeyWord());
        queryWrapper.like(StringUtils.isNotEmpty(activityTeamInfoListQueryModel.getStatus()),ActivityTeamInfo::getStatus,activityTeamInfoListQueryModel.getStatus());

        /**
         *
         * 创建 对象的时候进行的占用
         * 以方法返回值占用
         */
        Page<ActivityTeamInfo> activityTeamInfoPage = this.page(activityTeamInfoListQueryModel.buildPage(),queryWrapper);
        List<ActivityTeamInfo> activityTeamInfoList = activityTeamInfoPage.getRecords();
        List<ActivityTeamInfoListModel> activityTeamInfoListModels =new ArrayList<>();
        for (ActivityTeamInfo activityTeamInfo : activityTeamInfoList) {
            ActivityTeamInfoListModel activityTeamInfoListModel = new ActivityTeamInfoListModel();
            activityTeamInfoListModel.setId(activityTeamInfo.getId());
            activityTeamInfoListModel.setName(activityTeamInfo.getName());
            activityTeamInfoListModel.setStatus(activityTeamInfo.getStatus());
            activityTeamInfoListModel.setOpenTeamNumber(activityTeamOpenInfoService.getTeamOpenNumberByTeamId(activityTeamInfo.getId()));
            activityTeamInfoListModel.setAddTeamNumber(activityTeamOpenInfoService.getTeamInNumberByTeamId(activityTeamInfo.getId()));
            activityTeamInfoListModel.setAttendNumber(activityTeamInfoListModel.getAttendNumber()+activityTeamInfoListModel.getAttendNumber());
            activityTeamInfoListModel.setEndTime(activityTeamInfo.getEndTime());
            activityTeamInfoListModel.setProductImage(activityTeamInfo.getProductImage());
            activityTeamInfoListModel.setProductPrice(0.00);
            activityTeamInfoListModel.setRemainStock(0L);
            activityTeamInfoListModel.setTeamPrice(0.00);
            activityTeamInfoListModel.setTeamStock(0L);
            activityTeamInfoListModels.add(activityTeamInfoListModel);
        }


        TableDataInfo<ActivityTeamInfoListModel> tableDataInfo = new TableDataInfo<>();
        tableDataInfo.setTotal(activityTeamInfoPage.getTotal());
        tableDataInfo.setRows(activityTeamInfoListModels);
        return tableDataInfo;
    }

//    @Override
//    public void add(ActivityTeamInfoListQueryModel activityTeamInfoListQueryModel) {
//        LambdaQueryWrapper<ActivityTeamInfo> queryWrapper = new LambdaQueryWrapper<>();
//
//    }

//    @Override
//    public void add(ActivityTeamInfo activityTeamInfo) {
//        LambdaQueryWrapper<ActivityTeamInfo> queryWrapper = new LambdaQueryWrapper<>();
//        List<ActivityTeamInfo> activityTeamInfos = new ArrayList<>();
//
//    }
}
