package com.muyu.marketing.team.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.enums.market.team.TeamOpenTypeEnum;
import com.muyu.marketing.domain.ActivityTeamOpenInfo;
import com.muyu.marketing.team.mapper.ActivityTeamOpenInfoMapper;
import com.muyu.marketing.team.service.ActivityTeamOpenInfoService;
import org.springframework.stereotype.Service;

@Service
public class ActivityTeamOpenInfoServiceImpl extends ServiceImpl<ActivityTeamOpenInfoMapper, ActivityTeamOpenInfo>
        implements ActivityTeamOpenInfoService {


    /**
     * 通过活动Id和开团类型查询开团人数数量
     *
     * @param TeamId       活动ID
     * @param teamOpenType 开团类型
     * @return
     */
    @Override
    public Long getTeamOpenNumberByTeamIdAndType(Long TeamId, TeamOpenTypeEnum teamOpenType) {
        LambdaQueryWrapper<ActivityTeamOpenInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ActivityTeamOpenInfo::getTeamId, TeamId);
        queryWrapper.eq(ActivityTeamOpenInfo::getTeamType,teamOpenType.code());
        return this.count(queryWrapper);
    }


}
